# PsychoPy/Pavloviaによるオンライン実験
**************************************************************

5.4節ケース1の実装例
--------------------------------------------------------------

単語15個のセットを4セット用意し、stim_words01.xlsxからstim_words04.xlsxとして保存しています。
stim_words01.xlsxおよびstim_words02.xlsxが直後再生条件(immediate)、
stim_words03.xlsxおよびstim_words04.xlsxが遅延条件(delayed)用のセットです。
trials.xlsxで単語セットと条件の組み合わせを定義し、trialsループの[繰り返し条件]に指定しています。

遅延課題および再生課題の実現方法は5.4節で解説したとおりですが、再生課題(=recallルーチン)実行の判定に
繰り返し回数を利用する必要がないので、recallループおよびrecall_loop_Nが不要となった点に注意してください。
また、Codeコンポーネントによる[実験開始時]のコードも不要となりました。

遅延課題と再生課題を指定した時間で終了させるためのコードは必要ですが、5.4節で解説した実験のフローよりもシンプルで
直感的なフローであることがわかります。